package mir.changetracker;

/**
 * Class that is used to indicate the kind of change
 */
public final class ChangeType {
  private String name;

  ChangeType(String aName) {
    name = aName;
  }

  public String getName() {
    return name;
  }

  /**
   * <code>ChangeType</code> indicating the file(s) in question have been added.
   */
  public static final ChangeType ADDITION = new ChangeType("Addition");

  /**
   * <code>ChangeType</code> indicating the file(s) in question have been modified.
   */
  public static final ChangeType MODIFICATION = new ChangeType("Modification");

  /**
   * The file(s) in question have been deleted.
   */
  public static final ChangeType DELETION = new ChangeType("Deletion");


}
